Description

If two different versions of RSC are used/linked this produces an error during runtime with the error message:
terminate called after throwing an instance of 'std::invalid_argument'
  what():  There already is a registree with key 'ConsoleLoggingSystem'.
Aborted

It would be helpful, if this could generate a more meaningful error message, indicating the above reason.

Associated revisions
Revision a75f22f7 - 09/08/2011 11:47 AM - J. Wienke

raise a more special warning in cases where rsc could be double-linked in different versions.

fixes #556

History
#1 - 09/08/2011 12:34 AM - J. Wienke

Hm, sounds like a very rare error case to optimize. ;) Double-linking is always something really bad and this is by accicdent the first thing you notice.
Be happy that it's not much worse or unpredictable. ;)

#2 - 09/08/2011 11:08 AM - J. Wienke
- Status changed from New to In Progress
- Target version set to 0.5

#3 - 09/08/2011 11:47 AM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r352.

05/14/2024 1/1


